/************************************************************************/
/*									*/
/*                        RADICALLY PUBLIC DOMAIN                       */
/*									*/
/* Header file definitions for using YLIB.OBJ				*/
/*									*/
/* Author : William Beebe.						*/
/* Started: 6 January 1988						*/
/*									*/
/* NOTE: You must include YABBS.H with this.				*/
/*									*/
/*                        RADICALLY PUBLIC DOMAIN                       */
/*									*/
/************************************************************************/

#define BELL	0x07		/* Bell or buzzer			*/
#define BS	0x08		/* Backspace				*/
#define TAB	0x09		/* Tab character			*/
#define LF	0X0A 		/* Line feed				*/
#define FF	0X0B		/* Form feed				*/
#define CR	0X0D		/* Carriage return			*/
#define ESC	0X1B		/* Escape				*/
#define	CTRLW	0X17		/* Screen refresh			*/
#define DEL	0X7F		/* Delete				*/

extern	word	COMMPORT;	/* com port defaults to com1:		*/
extern	word	clock_ticks;	/* number of interrupt ticks/second.	*/
extern	word	tick_time;	/* timer decremented each tick time.	*/
extern	word	tseconds;	/* number of tick seconds on line.	*/
extern	word	tminutes;	/* number of tick minutes on line.	*/
extern	word	thours;		/* number of tick hours on line.	*/
extern	word	inactive;	/* # of seconds to wait without input.	*/
extern	word	time_left;	/* caller's time left in minutes.	*/
extern	word	pause;		/* tick downcounter used for pauses.	*/
extern	word	local_kbd;	/* local keyboard, no = FOSSIL.		*/
extern	word	snoop;		/* echo caller's screen to local screen.*/
extern	struct	_fossil fossil;	/* declare fossil info struct.		*/

char		*parse_oansi	( byte *inline, byte *outline );

int	cdecl	setparms	( int baud, int parity, int wordwidth, int stopbits );
void	pascal	sendbyte	( byte character );
byte	pascal	getbyte		( void );
void	pascal	rawdisplay	( byte *string );
void		display		( char *format, ... );
byte	pascal	carrier		( void );
void	pascal	setdtr		( byte state );
byte	pascal	initcomm	( void );
void	pascal	uninitcomm	( void );
void	pascal	purge_outbuf	( void );
void	pascal	purge_inbuf	( void );
void	pascal	watchdog	( int state );
int	pascal	invoke_tick_timer( int state );
void	pascal	tick_wait	( word length );
word	pascal	get_fossil_info	( void );
